## ams 1.8.7

=== Makefile ===
QT_BASE_DIR=/usr/lib/qt3
QT_LIB_DIR=$(QT_BASE_DIR)/lib
QT_BIN_DIR=$(QT_BASE_DIR)/bin
QT_INCLUDE_DIR=$(QT_BASE_DIR)/include
X11_LIB_DIR=/usr/X11R6/lib
LADSPA_PATH?=/usr/lib/ladspa:/usr/local/lib/ladspa
VERSION=1.8.6

#CXXFLAGS=-DQT_THREAD_SUPPORT -I$(QT_INCLUDE_DIR) -DLADSPA_PATH=\"$(LADSPA_PATH)\" -I/usr/X11R6/include -I. -O2 -g -Wall
CXXFLAGS=-DQT_THREAD_SUPPORT -I$(QT_INCLUDE_DIR) -DLADSPA_PATH=\"$(LADSPA_PATH)\" -I/usr/X11R6/include -I. -O2 -Wall

AMS_O = synthdata.o module.o module.moc.o \
	configdialog.o configdialog.moc.o \
	port.o port.moc.o \
	midiguicomponent.o midiguicomponent.moc.o \
	midislider.o midislider.moc.o \
	intmidislider.o intmidislider.moc.o \
	floatintmidislider.o floatintmidislider.moc.o \
	midicombobox.o midicombobox.moc.o \
	midicheckbox.o midicheckbox.moc.o \
	midipushbutton.o midipushbutton.moc.o \
	midicontroller.o midicontroller.moc.o \
	midicontrollerlist.o midicontrollerlist.moc.o \
	midiwidget.o midiwidget.moc.o \
	guiwidget.o guiwidget.moc.o \
	prefwidget.o prefwidget.moc.o \
	ladspadialog.o ladspadialog.moc.o \
	envelope.o envelope.moc.o \
	multi_envelope.o multi_envelope.moc.o \
	scopescreen.o scopescreen.moc.o \
	spectrumscreen.o spectrumscreen.moc.o \
	function.o function.moc.o \
	canvas.o canvas.moc.o \
	canvasfunction.o canvasfunction.moc.o \
	m_sh.o m_sh.moc.o \
	m_vcswitch.o m_vcswitch.moc.o \
	m_vcorgan.o m_vcorgan.moc.o \
	m_dynamicwaves.o m_dynamicwaves.moc.o \
	m_vco.o m_vco.moc.o \
	m_vca.o m_vca.moc.o \
	m_vcf.o m_vcf.moc.o \
	m_lfo.o m_lfo.moc.o \
	m_mphlfo.o m_mphlfo.moc.o \
        m_noise.o m_noise.moc.o \
	m_delay.o m_delay.moc.o \
	m_seq.o m_seq.moc.o \
	m_mcv.o m_mcv.moc.o \
	m_advmcv.o m_advmcv.moc.o \
	m_scmcv.o m_scmcv.moc.o \
	m_env.o m_env.moc.o \
	m_vcpanning.o m_vcpanning.moc.o \
	m_vcenv.o m_vcenv.moc.o \
	m_vcenv2.o m_vcenv2.moc.o \
	m_vcdoubledecay.o m_vcdoubledecay.moc.o \
	m_advenv.o m_advenv.moc.o \
	m_ringmod.o m_ringmod.moc.o \
	m_inv.o m_inv.moc.o \
	m_amp.o m_amp.moc.o \
	m_ad.o m_ad.moc.o \
	m_vquant.o m_vquant.moc.o \
	m_conv.o m_conv.moc.o \
	m_cvs.o m_cvs.moc.o \
	m_slew.o m_slew.moc.o \
	m_quantizer.o m_quantizer.moc.o \
	m_scquantizer.o m_scquantizer.moc.o \
	m_mix.o m_mix.moc.o \
	m_function.o m_function.moc.o \
	m_stereomix.o m_stereomix.moc.o \
	m_ladspa.o m_ladspa.moc.o \
	m_pcmout.o m_pcmout.moc.o \
	m_pcmin.o m_pcmin.moc.o \
	m_wavout.o m_wavout.moc.o \
	m_midiout.o m_midiout.moc.o \
	m_scope.o m_scope.moc.o \
	m_spectrum.o m_spectrum.moc.o \
	textedit.o textedit.moc.o \
	modularsynth.o modularsynth.moc.o \
	main.o

ams:	$(AMS_O)
	gcc -g -o ams $(AMS_O) \
	-L$(QT_LIB_DIR) -L$(X11_LIB_DIR) \
	-lqt-mt -lclalsadrv -ljack -lasound -lsrfftw -lsfftw -lm

clean:
	/bin/rm -f *.o *.moc.cpp *~

tarball:	clean
	cd ..; /bin/rm -f ams-$(VERSION).tar.bz2; tar cvf ams-$(VERSION).tar ams-$(VERSION); bzip2 ams-$(VERSION).tar


synthdata.o: synthdata.cpp synthdata.h module.h port.h m_env.h m_advenv.h m_vcenv2.h main.h
modularsynth.o: modularsynth.cpp modularsynth.h module.h port.h textedit.h \
	synthdata.h midicontroller.h midicontrollerlist.h midiwidget.h guiwidget.h prefwidget.h m_vcf.h m_sh.h \
	m_vco.h m_vca.h m_lfo.h m_delay.h m_ringmod.h m_inv.h m_mix.h m_amp.h m_ad.h \
	m_stereomix.h m_ladspa.h m_wavout.h m_conv.h m_vquant.h m_mphlfo.h \
	m_mcv.h m_advmcv.h m_seq.h m_env.h m_slew.h m_quantizer.h ladspadialog.h m_cvs.h m_midiout.h m_vcenv.h \
	m_vcorgan.h m_dynamicwaves.h m_advenv.h m_scope.h m_spectrum.h m_vcswitch.h m_pcmout.h m_pcmin.h \
	m_scmcv.h m_scquantizer.h m_function.h m_vcenv2.h m_vcpanning.h m_vcdoubledecay.h main.h
modularsynth.moc.o: modularsynth.moc.cpp modularsynth.h module.h port.h textedit.h \
	synthdata.h midicontroller.h midicontrollerlist.h midiwidget.h guiwidget.h prefwidget.h m_vcf.h m_sh.h \
	m_vco.h m_vca.h m_lfo.h m_delay.h m_ringmod.h m_inv.h m_mix.h m_amp.h m_ad.h \
	m_stereomix.h m_ladspa.h m_wavout.h m_conv.h m_vquant.h m_mphlfo.h \
	m_mcv.h m_advmcv.h m_seq.h m_env.h m_slew.h m_quantizer.h ladspadialog.h m_cvs.h m_midiout.h m_vcenv.h \
	m_vcorgan.h m_dynamicwaves.h m_advenv.h m_scope.h m_spectrum.h m_vcswitch.h m_pcmout.h m_pcmin.h \
	m_scmcv.h m_scquantizer.h m_function.h m_vcenv2.h m_vcpanning.h m_vcdoubledecay.h
modularsynth.moc.cpp: modularsynth.h modularsynth.cpp
	$(QT_BIN_DIR)/moc modularsynth.h -o modularsynth.moc.cpp
main.o: main.cpp modularsynth.h main.h
configdialog.o: configdialog.cpp configdialog.h midicontroller.h envelope.h multi_envelope.h function.h \
	midicontrollerlist.h midiwidget.h guiwidget.h midislider.h intmidislider.h floatintmidislider.h midicombobox.h midicheckbox.h synthdata.h \
	scopescreen.h spectrumscreen.h midipushbutton.h
configdialog.moc.o: configdialog.moc.cpp configdialog.h midicontroller.h envelope.h multi_envelope.h function.h \
	midicontrollerlist.h midiwidget.h guiwidget.h midislider.h intmidislider.h floatintmidislider.h midicombobox.h midicheckbox.h synthdata.h \
	scopescreen.h spectrumscreen.h midipushbutton.h
configdialog.moc.cpp: configdialog.h configdialog.cpp
	$(QT_BIN_DIR)/moc configdialog.h -o configdialog.moc.cpp
module.o: module.cpp module.h synthdata.h configdialog.h port.h main.h
module.moc.o: module.moc.cpp module.h synthdata.h configdialog.h port.h
module.moc.cpp: module.h module.cpp
	$(QT_BIN_DIR)/moc module.h -o module.moc.cpp
port.o: port.cpp port.h synthdata.h main.h
port.moc.o: port.moc.cpp port.h synthdata.h
port.moc.cpp: port.h port.cpp
	$(QT_BIN_DIR)/moc port.h -o port.moc.cpp
midiguicomponent.o: midiguicomponent.cpp midiguicomponent.h midicontroller.h midicontrollerlist.h
midiguicomponent.moc.o: midiguicomponent.moc.cpp midiguicomponent.h midicontroller.h midicontrollerlist.h
midiguicomponent.moc.cpp: midiguicomponent.h midiguicomponent.cpp
	$(QT_BIN_DIR)/moc midiguicomponent.h -o midiguicomponent.moc.cpp
midislider.o: midislider.cpp midislider.h intmidislider.h synthdata.h midiwidget.h guiwidget.h \
              midicontroller.h midiguicomponent.h
midislider.moc.o: midislider.moc.cpp midislider.h intmidislider.h synthdata.h midiwidget.h guiwidget.h \
              midicontroller.h midiguicomponent.h
midislider.moc.cpp: midislider.h midislider.cpp
	$(QT_BIN_DIR)/moc midislider.h -o midislider.moc.cpp
intmidislider.o: intmidislider.cpp intmidislider.h synthdata.h midiwidget.h guiwidget.h \
                 midicontroller.h midiguicomponent.h
intmidislider.moc.o: intmidislider.moc.cpp intmidislider.h synthdata.h midiwidget.h guiwidget.h \
                 midicontroller.h midiguicomponent.h
intmidislider.moc.cpp: intmidislider.h intmidislider.cpp
	$(QT_BIN_DIR)/moc intmidislider.h -o intmidislider.moc.cpp
floatintmidislider.o: floatintmidislider.cpp floatintmidislider.h synthdata.h midiwidget.h guiwidget.h \
                 midicontroller.h midiguicomponent.h
floatintmidislider.moc.o: floatintmidislider.moc.cpp floatintmidislider.h synthdata.h midiwidget.h guiwidget.h \
                 midicontroller.h midiguicomponent.h
floatintmidislider.moc.cpp: floatintmidislider.h floatintmidislider.cpp
	$(QT_BIN_DIR)/moc floatintmidislider.h -o floatintmidislider.moc.cpp
midicombobox.o: midicombobox.cpp midicombobox.h synthdata.h midiwidget.h guiwidget.h \
                midicontroller.h midiguicomponent.h
midicombobox.moc.o: midicombobox.moc.cpp midicombobox.h synthdata.h midiwidget.h guiwidget.h \
                midicontroller.h midiguicomponent.h
midicombobox.moc.cpp: midicombobox.h midicombobox.cpp
	$(QT_BIN_DIR)/moc midicombobox.h -o midicombobox.moc.cpp
midicheckbox.o: midicheckbox.cpp midicheckbox.h synthdata.h midiwidget.h guiwidget.h \
                midicontroller.h midiguicomponent.h
midicheckbox.moc.o: midicheckbox.moc.cpp midicheckbox.h synthdata.h midiwidget.h guiwidget.h midicontroller.h
midicheckbox.moc.cpp: midicheckbox.h midicheckbox.cpp
	$(QT_BIN_DIR)/moc midicheckbox.h -o midicheckbox.moc.cpp
midipushbutton.o: midipushbutton.cpp midipushbutton.h synthdata.h midiwidget.h guiwidget.h \
                midicontroller.h midiguicomponent.h
midipushbutton.moc.o: midipushbutton.moc.cpp midipushbutton.h synthdata.h midiwidget.h midicontroller.h guiwidget.h
midipushbutton.moc.cpp: midipushbutton.h midipushbutton.cpp
	$(QT_BIN_DIR)/moc midipushbutton.h -o midipushbutton.moc.cpp
envelope.o: envelope.cpp envelope.h synthdata.h
envelope.moc.o: envelope.moc.cpp envelope.h synthdata.h
envelope.moc.cpp: envelope.h envelope.cpp
	$(QT_BIN_DIR)/moc envelope.h -o envelope.moc.cpp
function.o: function.cpp function.h synthdata.h canvasfunction.h canvas.h
function.moc.o: function.moc.cpp function.h synthdata.h canvasfunction.h canvas.h
function.moc.cpp: function.h function.cpp
	$(QT_BIN_DIR)/moc function.h -o function.moc.cpp
canvasfunction.o: canvasfunction.cpp canvasfunction.h
canvasfunction.moc.o: canvasfunction.moc.cpp canvasfunction.h
canvasfunction.moc.cpp: canvasfunction.h canvasfunction.cpp
	$(QT_BIN_DIR)/moc canvasfunction.h -o canvasfunction.moc.cpp
canvas.o: canvas.cpp canvas.h
canvas.moc.o: canvas.moc.cpp canvas.h
canvas.moc.cpp: canvas.h canvas.cpp
	$(QT_BIN_DIR)/moc canvas.h -o canvas.moc.cpp
multi_envelope.o: multi_envelope.cpp multi_envelope.h synthdata.h
multi_envelope.moc.o: multi_envelope.moc.cpp multi_envelope.h synthdata.h
multi_envelope.moc.cpp: multi_envelope.h multi_envelope.cpp
	$(QT_BIN_DIR)/moc multi_envelope.h -o multi_envelope.moc.cpp
scopescreen.o: scopescreen.cpp scopescreen.h synthdata.h
scopescreen.moc.o: scopescreen.moc.cpp scopescreen.h synthdata.h
scopescreen.moc.cpp: scopescreen.h scopescreen.cpp
	$(QT_BIN_DIR)/moc scopescreen.h -o scopescreen.moc.cpp
spectrumscreen.o: spectrumscreen.cpp spectrumscreen.h synthdata.h
spectrumscreen.moc.o: spectrumscreen.moc.cpp spectrumscreen.h synthdata.h
spectrumscreen.moc.cpp: spectrumscreen.h spectrumscreen.cpp
	$(QT_BIN_DIR)/moc spectrumscreen.h -o spectrumscreen.moc.cpp
midicontroller.o: midicontroller.cpp midicontroller.h
midicontroller.moc.o: midicontroller.moc.cpp midicontroller.h
midicontroller.moc.cpp: midicontroller.h midicontroller.cpp
	$(QT_BIN_DIR)/moc midicontroller.h -o midicontroller.moc.cpp
midicontrollerlist.o: midicontrollerlist.cpp midicontrollerlist.h midicontroller.h
midicontrollerlist.moc.o: midicontrollerlist.moc.cpp midicontrollerlist.h midicontroller.h
midicontrollerlist.moc.cpp: midicontrollerlist.h midicontrollerlist.cpp
	$(QT_BIN_DIR)/moc midicontrollerlist.h -o midicontrollerlist.moc.cpp
midiwidget.o: midiwidget.cpp midiwidget.h midicontroller.h midicontrollerlist.h synthdata.h guiwidget.h \
	midislider.h intmidislider.h floatintmidislider.h midicombobox.h midicheckbox.h midipushbutton.h
midiwidget.moc.o: midiwidget.moc.cpp midiwidget.h midicontroller.h midicontrollerlist.h synthdata.h guiwidget.h \
	midislider.h intmidislider.h floatintmidislider.h midicombobox.h midicheckbox.h midipushbutton.h
midiwidget.moc.cpp: midiwidget.h midiwidget.cpp
	$(QT_BIN_DIR)/moc midiwidget.h -o midiwidget.moc.cpp
guiwidget.o: guiwidget.cpp guiwidget.h midicontroller.h midicontrollerlist.h synthdata.h \
	midislider.h intmidislider.h floatintmidislider.h midicombobox.h midicheckbox.h midipushbutton.h
guiwidget.moc.o: guiwidget.moc.cpp guiwidget.h midicontroller.h midicontrollerlist.h synthdata.h \
	midislider.h intmidislider.h floatintmidislider.h midicombobox.h midicheckbox.h midipushbutton.h
guiwidget.moc.cpp: guiwidget.h guiwidget.cpp
	$(QT_BIN_DIR)/moc guiwidget.h -o guiwidget.moc.cpp
prefwidget.o: prefwidget.cpp prefwidget.h synthdata.h 
prefwidget.moc.o: prefwidget.moc.cpp prefwidget.h synthdata.h 
prefwidget.moc.cpp: prefwidget.h prefwidget.cpp
	$(QT_BIN_DIR)/moc prefwidget.h -o prefwidget.moc.cpp
ladspadialog.o: ladspadialog.cpp ladspadialog.h synthdata.h
ladspadialog.moc.o: ladspadialog.moc.cpp ladspadialog.h synthdata.h
ladspadialog.moc.cpp: ladspadialog.h ladspadialog.cpp
	$(QT_BIN_DIR)/moc ladspadialog.h -o ladspadialog.moc.cpp
m_vco.o: m_vco.cpp m_vco.h synthdata.h module.h port.h
m_vco.moc.o: m_vco.moc.cpp m_vco.h synthdata.h module.h port.h
m_vco.moc.cpp: m_vco.h m_vco.cpp
	$(QT_BIN_DIR)/moc m_vco.h -o m_vco.moc.cpp

## ams 1.8.8~rc2

=== Makefile ===
--- 
+++ 
@@ -1,13 +1,13 @@
 QT_BASE_DIR=/usr/lib/qt3
 QT_LIB_DIR=$(QT_BASE_DIR)/lib
-QT_BIN_DIR=$(QT_BASE_DIR)/bin
-QT_INCLUDE_DIR=$(QT_BASE_DIR)/include
+QT_BIN_DIR=/usr/share/qt3/bin
+QT_INCLUDE_DIR=/usr/include/qt3
 X11_LIB_DIR=/usr/X11R6/lib
 LADSPA_PATH?=/usr/lib/ladspa:/usr/local/lib/ladspa
-VERSION=1.8.6
+VERSION=1.8.8
 
 #CXXFLAGS=-DQT_THREAD_SUPPORT -I$(QT_INCLUDE_DIR) -DLADSPA_PATH=\"$(LADSPA_PATH)\" -I/usr/X11R6/include -I. -O2 -g -Wall
-CXXFLAGS=-DQT_THREAD_SUPPORT -I$(QT_INCLUDE_DIR) -DLADSPA_PATH=\"$(LADSPA_PATH)\" -I/usr/X11R6/include -I. -O2 -Wall
+CXXFLAGS=-DQT_THREAD_SUPPORT -I$(QT_INCLUDE_DIR) -DLADSPA_PATH=\"$(LADSPA_PATH)\" -I/usr/X11R6/include -I. -O3 -march=k8 -mtune=k8 -m64 -Wall
 
 AMS_O = synthdata.o module.o module.moc.o \
 	configdialog.o configdialog.moc.o \
@@ -37,11 +37,13 @@
 	m_vcorgan.o m_vcorgan.moc.o \
 	m_dynamicwaves.o m_dynamicwaves.moc.o \
 	m_vco.o m_vco.moc.o \
+	m_vco2.o m_vco2.moc.o \
 	m_vca.o m_vca.moc.o \
 	m_vcf.o m_vcf.moc.o \
 	m_lfo.o m_lfo.moc.o \
 	m_mphlfo.o m_mphlfo.moc.o \
         m_noise.o m_noise.moc.o \
+        m_noise2.o m_noise2.moc.o \
 	m_delay.o m_delay.moc.o \
 	m_seq.o m_seq.moc.o \
 	m_mcv.o m_mcv.moc.o \
@@ -92,14 +94,14 @@
 synthdata.o: synthdata.cpp synthdata.h module.h port.h m_env.h m_advenv.h m_vcenv2.h main.h
 modularsynth.o: modularsynth.cpp modularsynth.h module.h port.h textedit.h \
 	synthdata.h midicontroller.h midicontrollerlist.h midiwidget.h guiwidget.h prefwidget.h m_vcf.h m_sh.h \
-	m_vco.h m_vca.h m_lfo.h m_delay.h m_ringmod.h m_inv.h m_mix.h m_amp.h m_ad.h \
+	m_vco.h m_vco2.h m_vca.h m_lfo.h m_delay.h m_ringmod.h m_inv.h m_mix.h m_amp.h m_ad.h \
 	m_stereomix.h m_ladspa.h m_wavout.h m_conv.h m_vquant.h m_mphlfo.h \
 	m_mcv.h m_advmcv.h m_seq.h m_env.h m_slew.h m_quantizer.h ladspadialog.h m_cvs.h m_midiout.h m_vcenv.h \
 	m_vcorgan.h m_dynamicwaves.h m_advenv.h m_scope.h m_spectrum.h m_vcswitch.h m_pcmout.h m_pcmin.h \
 	m_scmcv.h m_scquantizer.h m_function.h m_vcenv2.h m_vcpanning.h m_vcdoubledecay.h main.h
 modularsynth.moc.o: modularsynth.moc.cpp modularsynth.h module.h port.h textedit.h \
 	synthdata.h midicontroller.h midicontrollerlist.h midiwidget.h guiwidget.h prefwidget.h m_vcf.h m_sh.h \
-	m_vco.h m_vca.h m_lfo.h m_delay.h m_ringmod.h m_inv.h m_mix.h m_amp.h m_ad.h \
+	m_vco.h m_vco2.h m_vca.h m_lfo.h m_delay.h m_ringmod.h m_inv.h m_mix.h m_amp.h m_ad.h \
 	m_stereomix.h m_ladspa.h m_wavout.h m_conv.h m_vquant.h m_mphlfo.h \
 	m_mcv.h m_advmcv.h m_seq.h m_env.h m_slew.h m_quantizer.h ladspadialog.h m_cvs.h m_midiout.h m_vcenv.h \
 	m_vcorgan.h m_dynamicwaves.h m_advenv.h m_scope.h m_spectrum.h m_vcswitch.h m_pcmout.h m_pcmin.h \
@@ -218,6 +220,3 @@
 ladspadialog.moc.cpp: ladspadialog.h ladspadialog.cpp
 	$(QT_BIN_DIR)/moc ladspadialog.h -o ladspadialog.moc.cpp
 m_vco.o: m_vco.cpp m_vco.h synthdata.h module.h port.h
-m_vco.moc.o: m_vco.moc.cpp m_vco.h synthdata.h module.h port.h
-m_vco.moc.cpp: m_vco.h m_vco.cpp
-	$(QT_BIN_DIR)/moc m_vco.h -o m_vco.moc.cpp

## ams 2.0.1

=== debian/changelog ===
ams (2.0.1-5) unstable; urgency=low

  * Add patch to fix FTBFS with binutils-gold.
  * Add patch to fix spelling errors.
  * Enable dh-autoreconf.

 -- Alessio Treglia <alessio@debian.org>  Tue, 15 Mar 2011 12:39:07 +0100

ams (2.0.1-4) unstable; urgency=low

  * debian/patches/03-null_jack_handle.patch:
    - Fix crash when jack_handle is NULL (LP: #553366).
  * Switch to format 3.0 (quilt).
  * debian/control:
    - Update my e-mail address.
    - Bump Standards.
    - Remove "DM-Upload-Allowed: yes" field.

 -- Alessio Treglia <alessio@debian.org>  Tue, 26 Oct 2010 10:09:29 +0200

ams (2.0.1-3) unstable; urgency=low

  * debian/ams.1: Fix manpage whatis entry.
  * Rebuild with new libclalsadrv.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sun, 18 Apr 2010 03:11:14 +0200

ams (2.0.1-2) unstable; urgency=low

  * Bump Standards.
  * Add 02-armel_minmaxfix.patch to prevent FTBFS on armel, thanks to
    Peter Green for the patch (Closing: #570848).

 -- Alessio Treglia <quadrispro@ubuntu.com>  Thu, 25 Feb 2010 08:19:45 +0100

ams (2.0.1-1) unstable; urgency=low

  * New upstream release.
  * Append -ldl to LDFLAGS to fix build failure with binutils-gold
    (Closes: #553677).
  * Set DM-Upload-Allowed to 'yes'.
  * debian/copyright updated to follow DEP-5

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sat, 02 Jan 2010 17:12:50 +0100

ams (2.0.0-1) unstable; urgency=low

  * Change maintainer to Debian Multimedia Maintainers.
  * New upstream release.
  * Bump Standards.
  * Add ${misc:Depends} macro to the Depends field.
  * Add myself to Uploaders field.
  * Add Vcs-* fields.
  * Add Homepage field.
  * Improve extended description (to make lintian happy).
  * Fix desktop file as per spec.
  * Switch to debhelper 7.
  * Switch from dpatch to quilt.
  * Update build-dependencies due to the Qt3->Qt4 porting.
  * Replace build-dependency on libjack0.100.0-dev with libjack-dev
    (Closes: #427402).
  * debian/docs: Don't install demos, instruments and tutorials, they're
    already installed under /usr/share/ams/ (Closes: #526533).
  * Fix debian/menu.
  * Fix watch file.
  * Old patches in debian/patches/*.dpatch:
    - 10makefile: Dropped, not needed anymore.
    - 11ams_launch_script: Converted to quilt, now 01-ams_launch_script.patch
    - 12default_patch_dir: Already dropped, remove this.
    - 13outdate_code: Dropped.
    - 14_spectrum: Dropped.
    - 15_qt3_headers: Dropped.
  * debian/README.source: Document how to patch the sources.
  * debian/patches/01-ams_launch_script.patch:
    - Updated --presets-path to /usr/share/ams (Closes: #526533).

 -- Alessio Treglia <quadrispro@ubuntu.com>  Wed, 09 Dec 2009 22:17:00 +0100

ams (1.8.8~rc2-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Drop dependency on libqt3-compat-headers, which is scheduled for
    removal, patch by Barry deFreese (Closes: #464092)

 -- Moritz Muehlenhoff <jmm@debian.org>  Thu, 27 Mar 2008 19:32:38 +0100

ams (1.8.8~rc2-3) unstable; urgency=low

  * Recommends vco rev and amb plugins
  * Fixed wach file (Closes: #450139)
  * Applied patch for spectrum displays (Closes: #450609)

 -- Free Ekanayaka <freee@debian.org>  Thu, 13 Dec 2007 11:17:19 +0000

ams (1.8.8~rc2-2) unstable; urgency=low

  * Unset "-march=k8" in the upstream Makefile (Closes: #430409)

 -- Free Ekanayaka <freee@debian.org>  Tue, 10 Jul 2007 00:19:55 +0200

ams (1.8.8~rc2-1) unstable; urgency=low

  * New upstream release
  * Changed name in .desktop file (Ams -> Alsa Modular Synth)

 -- Free Ekanayaka <freee@debian.org>  Wed, 20 Jun 2007 02:02:01 +0200

ams (1.8.7-6) unstable; urgency=low

  * Using exec in wrapper script to launch ams.real
  * Added /usr/local/ladspa to the LADSPA_PATH env variable
  * Set Maintainer to debian-multimedia
  * Added Junichi and me to the uploaders
  * Fixed broken watch file
  * Updated standards to 3.7.2
  * Updated compat version
  * Depend on mcp-plugins, cmt and swh-plugins, as they are needed by
    the example patches
  
 -- Free Ekanayaka <freee@debian.org>  Tue, 27 Mar 2007 11:06:34 +0200

ams (1.8.7-5) unstable; urgency=low

  * Removed useless debconf dependency

 -- Free Ekanayaka <free@agnula.org>  Thu, 29 Sep 2005 09:25:57 +0100

ams (1.8.7-4) unstable; urgency=low

  * Built against the newly transitioned qt3 libraries

 -- Free Ekanayaka <free@agnula.org>  Tue, 23 Aug 2005 12:18:48 +0200

ams (1.8.7-3) unstable; urgency=low

  * Bug fix: "bug in ams script", thanks to James Stone (Closes: #311847).
  * Launch with --presetpath=/usr/share/doc/ams/demos
  * Launch with --jack if jackd is running
  * Build depends on libjack 0.100.0 (Closes: #317182)
  * Added .desktop file for GNOME menus

 -- Free Ekanayaka <free@agnula.org>  Tue, 20 Jul 2005 13:45:01 +0200

ams (1.8.7-2) unstable; urgency=low

  * Fixed watch file
  * Removed useless libc6-dev build dependency
  * Bug fix: "ams: Menu Icon please", thanks to tim hall (Closes:
    #299409).

 -- Free Ekanayaka <free@agnula.org>  Wed, 23 Mar 2005 11:43:56 +0100

ams (1.8.7-1) unstable; urgency=low

  * New upstream release
  * First Debian upload (closes: #203902), sponsored by 
    Cosimo Alfarano <kalfa@debian.org>
  * Updated Standards-Version to 3.6.1.1
  
 -- Free Ekanayaka <free@agnula.org>  Tue, 31 Aug 2004 14:21:00 +0200

ams (1.8.6-1) unstable; urgency=low

  * New upstream release

 -- Free Ekanayaka <free@agnula.org>  Tue, 20 Jul 2004 14:35:18 +0200

ams (1.7.7-1) unstable; urgency=low

  * New upstream release

 -- Free Ekanayaka <free@agnula.org>  Wed, 14 Apr 2004 14:27:17 +0200

ams (1.7.6-1) unstable; urgency=low

  * New upstream release

 -- Free Ekanayaka <free@agnula.org>  Fri, 12 Mar 2004 14:39:28 +0100

ams (1.7.1-0test2) unstable; urgency=low

  * the /usr/bin/ams wrapper script wasn't considering command line
    paramenters when launching /usr/share/ams.real. fixed adding a
    simple $\@

 -- Free Ekanayaka <free@agnula.org>  Fri, 16 Jan 2004 13:10:26 +0100

ams (1.7.1-0test1) unstable; urgency=low



=== debian/control ===
Source: ams
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Free Ekanayaka <freee@debian.org>,
 Junichi Uekawa <dancer@debian.org>,
 Alessio Treglia <alessio@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 dh-autoreconf,
 libqt4-dev,
 libqt4-opengl-dev,
 ladspa-sdk,
 libasound2-dev,
 libjack-dev,
 fftw-dev,
 sfftw-dev,
 libclalsadrv-dev (>= 1.0.1-3)
Standards-Version: 3.9.1
Vcs-Git: git://git.debian.org/git/pkg-multimedia/ams.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/ams.git;a=summary
Homepage: http://alsamodular.sourceforge.net/

Package: ams
Architecture: any
Depends: ${shlibs:Depends},
 mcp-plugins,
 swh-plugins,
 cmt,
 ${misc:Depends}
Recommends: amb-plugins, vco-plugins, rev-plugins
Description: Realtime modular synthesizer for ALSA
 AlsaModularSynth is a realtime modular synthesizer and effect processor.
 It features:
  * MIDI controlled modular software synthesis.
  * Realtime effect processing with capture from e.g. "Line In" or "Mic In".
  * Full control of all synthesis and effect parameters via MIDI.
  * Integrated LADSPA Browser with search capability.
  * JACK Support.

=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS += -ldl

%:
	dh $@ --with=autoreconf

override_dh_auto_install:
	dh_auto_install
	mv debian/ams/usr/bin/ams debian/ams/usr/lib/ams/ams.real
	mv ams debian/ams/usr/bin/ams

=== debian/watch ===
version=3
http://sf.net/alsamodular/ams-(.*)\.tar\.gz debian uupdate

## ams 2.1.1

=== debian/changelog ===
ams (2.1.1-1.1) unstable; urgency=medium

  * Explicitly set C++ standard version to gnu++98 to fix build under GCC 6
    (fixes #811645) 

 -- Andreas Stührk <andy@hammerhartes.de>  Sat, 24 Sep 2016 16:49:52 +0200

ams (2.1.1-1) unstable; urgency=low

  * New upstream release:
    - Fixed Bugs
      + Fix crash on loading patches with missing
        LADSPA libraries.
    - New Features
      + SIGTERM handler.
      + NSM support (programmed by Roy Vegard Ovesen)
      + Mouse hover port highlighting.
      + Full screen mode view (F11).
    - General Changes
      + German translation update.
      + Some internal cleanups.
  * Update watch file to point to upstream's BZ2 tarball.
  * Drop 05-spelling_errors.patch, fixed upstream.
  * debian/copyright:
    - Add copyright and licensing information on src/nsm.h.

 -- Alessio Treglia <alessio@debian.org>  Sat, 12 Apr 2014 17:26:18 +0100

ams (2.1.0-1) unstable; urgency=low

  * New upstream release.
  * Bump debhelper compatibility.
  * s/fftw-dev/libfftw3-dev/ in Depends field.
  * Drop 02-armel_minmaxfix.patch, adopted upstream.
  * Drop 03-null_jack_handle.patch, adopted upstream.
  * Drop 04-binutils_gold.patch, already accepted by upstream.
  * Enable parallel builds.
  * Update debian/copyright.
  * Update debian/watch, remove "debian uupdate".
  * Fix VCS URLs.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Mon, 17 Mar 2014 22:48:42 +0000

=== debian/control ===
Source: ams
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Free Ekanayaka <freee@debian.org>,
 Junichi Uekawa <dancer@debian.org>,
 Alessio Treglia <alessio@debian.org>
Build-Depends:
 debhelper (>= 9~),
 dh-autoreconf,
 ladspa-sdk,
 libasound2-dev,
 libclalsadrv-dev (>= 1.0.1-3),
 libfftw3-dev,
 libjack-dev,
 libqt4-dev,
 libqt4-opengl-dev,
 sfftw-dev
Standards-Version: 3.9.5
Vcs-Git: https://alioth.debian.org/anonscm/git/pkg-multimedia/ams.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/ams.git
Homepage: http://alsamodular.sourceforge.net/

Package: ams
Architecture: any
Depends:
 cmt,
 mcp-plugins,
 swh-plugins,
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 amb-plugins,
 rev-plugins,
 vco-plugins
Description: Realtime modular synthesizer for ALSA
 AlsaModularSynth is a realtime modular synthesizer and effect processor.
 It features:
  * MIDI controlled modular software synthesis.
  * Realtime effect processing with capture from e.g. "Line In" or "Mic In".
  * Full control of all synthesis and effect parameters via MIDI.
  * Integrated LADSPA Browser with search capability.
  * JACK Support.

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,10 @@
 #!/usr/bin/make -f
 
+export DEB_CXXFLAGS_MAINT_APPEND=-std=gnu++98
 LDFLAGS += -ldl
 
 %:
-	dh $@ --with=autoreconf
+	dh $@ --parallel --with=autoreconf
 
 override_dh_auto_install:
 	dh_auto_install

=== debian/watch ===
version=3
http://sf.net/alsamodular/ams-(.*)\.tar\.bz2

## ams 2.1.2

=== debian/changelog ===
ams (2.1.2-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:09:35 +0100

ams (2.1.2-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org
  * d/changelog: Remove trailing whitespaces

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * d/watch: Use https protocol
  * Use debhelper-compat instead of debian/compat

  [ Sebastian Ramacher ]
  * New upstream release.
  * debian/patches: Apply upstream patches to switch to Qt 5 and fixes for
    some other smaller issues. (Closes: #874823)
  * debian/: Bump debhelper compat to 12.
  * debian/control:
    - Bump Standards-Version.
    - Switch to Qt 5.
  * debian/menu: Remove in favor of desktop file.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 24 Aug 2019 14:13:33 +0200

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,25 @@
 Source: ams
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Free Ekanayaka <freee@debian.org>,
  Junichi Uekawa <dancer@debian.org>,
  Alessio Treglia <alessio@debian.org>
 Build-Depends:
- debhelper (>= 9~),
- dh-autoreconf,
+ debhelper-compat (= 12),
  ladspa-sdk,
  libasound2-dev,
  libclalsadrv-dev (>= 1.0.1-3),
  libfftw3-dev,
  libjack-dev,
- libqt4-dev,
- libqt4-opengl-dev,
+ qtbase5-dev,
+ libqt5opengl5-dev,
+ qttools5-dev-tools,
  sfftw-dev
-Standards-Version: 3.9.5
-Vcs-Git: https://alioth.debian.org/anonscm/git/pkg-multimedia/ams.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/ams.git
+Standards-Version: 4.4.0
+Vcs-Git: https://salsa.debian.org/multimedia-team/ams.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/ams
 Homepage: http://alsamodular.sourceforge.net/
 
 Package: ams

=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS += -ldl

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	mv debian/ams/usr/bin/ams debian/ams/usr/lib/ams/ams.real
	mv ams debian/ams/usr/bin/ams

=== debian/watch ===
version=3
https://sf.net/alsamodular/ams-(.*)\.tar\.bz2

## ams 2.2.0

=== debian/changelog ===
ams (2.2.0-1) unstable; urgency=medium

  * New upstream version 2.2.0
  * Remove 0002-0015 patches, applied by upstream
  * Fix OPTIONS and tag ams_launch_script patch as Forwarded: not-yet
  * Fix spell errors
  * Add keywords to the desktop file
  * Add hardening
  * Add me as uploader
  * Set RRR: no
  * Add jackd as Recommends
  * d/copyright: http -> https
  * Add d/upstream/metadata
  * Bump d/watch version to 4

 -- Dennis Braun <d_braun@kabelmail.de>  Tue, 29 Dec 2020 20:46:41 +0100

ams (2.1.2-2) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Fix day-of-week for changelog entry 1.8.7-3.

  [ Sebastian Ramacher ]
  * debian/control:
    - Add B-D on liblo-dev (Closes: #975375)
    - Bump debhelper compat to 13
    - Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 29 Nov 2020 22:38:24 +0100

=== debian/control ===
--- 
+++ 
@@ -3,21 +3,24 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
+ Dennis Braun <d_braun@kabelmail.de>,
  Free Ekanayaka <freee@debian.org>,
  Junichi Uekawa <dancer@debian.org>,
  Alessio Treglia <alessio@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  ladspa-sdk,
  libasound2-dev,
  libclalsadrv-dev (>= 1.0.1-3),
  libfftw3-dev,
  libjack-dev,
+ liblo-dev,
+ libqt5opengl5-dev,
  qtbase5-dev,
- libqt5opengl5-dev,
  qttools5-dev-tools,
  sfftw-dev
-Standards-Version: 4.4.0
+Rules-Requires-Root: no
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/multimedia-team/ams.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/ams
 Homepage: http://alsamodular.sourceforge.net/
@@ -33,7 +36,8 @@
 Recommends:
  amb-plugins,
  rev-plugins,
- vco-plugins
+ vco-plugins,
+ jackd
 Description: Realtime modular synthesizer for ALSA
  AlsaModularSynth is a realtime modular synthesizer and effect processor.
  It features:

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #!/usr/bin/make -f
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 LDFLAGS += -ldl
 
 %:

## ams 2.2.1

=== debian/changelog ===
ams (2.2.1-2) unstable; urgency=medium

  [ Bastian Germann ]
  * Drop unused B-D sfftw-dev

  [ Dennis Braun ]
  * Fix binary build after successful build (Closes: #1049773)
  * Bump Standards-Version to 4.7.2
  * Apply wrap-and-sort -ast

 -- Dennis Braun <snd@debian.org>  Sun, 04 May 2025 17:10:34 +0200

ams (2.2.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster
  * Use secure URI in Homepage field.

  [ Dennis Braun ]
  * New upstream version 2.2.1
    + Removed bashism from configure script (Closes: #999382)
  * Drop spelling error patch, applied by upstream
  * Change my email address
  * Add libjack-jackd2-dev as optional build dependency
  * Bump Standards-Version to 4.6.2
  * d/copyright: Add myself to the d/ section
  * Drop obsolete d/dirs file
  * d/rules: Create usr/lib/ams before copying the binary

 -- Dennis Braun <snd@debian.org>  Fri, 16 Jun 2023 23:10:33 +0200

=== debian/control ===
Source: ams
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Free Ekanayaka <freee@debian.org>,
 Junichi Uekawa <dancer@debian.org>,
 Alessio Treglia <alessio@debian.org>,
 Dennis Braun <snd@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 ladspa-sdk,
 libasound2-dev,
 libclalsadrv-dev,
 libfftw3-dev,
 libjack-dev | libjack-jackd2-dev,
 liblo-dev,
 libqt5opengl5-dev,
 qtbase5-dev,
 qttools5-dev-tools,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/multimedia-team/ams.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/ams
Homepage: https://alsamodular.sourceforge.net/

Package: ams
Architecture: any
Depends:
 cmt,
 mcp-plugins,
 swh-plugins,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 amb-plugins,
 jackd,
 rev-plugins,
 vco-plugins,
Description: Realtime modular synthesizer for ALSA
 AlsaModularSynth is a realtime modular synthesizer and effect processor.
 It features:
  * MIDI controlled modular software synthesis.
  * Realtime effect processing with capture from e.g. "Line In" or "Mic In".
  * Full control of all synthesis and effect parameters via MIDI.
  * Integrated LADSPA Browser with search capability.
  * JACK Support.

=== debian/rules ===
--- 
+++ 
@@ -8,5 +8,6 @@
 
 override_dh_auto_install:
 	dh_auto_install
+	mkdir -p debian/ams/usr/lib/ams
 	mv debian/ams/usr/bin/ams debian/ams/usr/lib/ams/ams.real
-	mv ams debian/ams/usr/bin/ams
+	cp ams debian/ams/usr/bin/ams

=== debian/watch ===
version=4
https://sf.net/alsamodular/ams-(.*)\.tar\.bz2

## ams python-0.1.0

=== dotagent/knowledgebase/document_loaders/asana/requirements.txt ===
asana

=== dotagent/knowledgebase/document_loaders/azstorage_blob/requirements.txt ===
azure-storage-blob 
azure-identity

=== dotagent/knowledgebase/document_loaders/boarddocs/requirements.txt ===
bs4
html2text
requests

=== dotagent/knowledgebase/document_loaders/confluence/requirements.txt ===
atlassian-python-api
html2text
pytesseract
pdf2image
Pillow
docx2txt
xlrd
svglib
retrying

=== dotagent/knowledgebase/document_loaders/feedly_rss/requirements.txt ===
feedly-client

=== dotagent/knowledgebase/document_loaders/feishu_docs/requirements.txt ===
dotagent
requests

=== dotagent/knowledgebase/document_loaders/gmail/requirements.txt ===
google-api-python-client
google-auth-httplib2
google-auth-oauthlib
beautifulsoup4

=== dotagent/knowledgebase/document_loaders/google_drive/requirements.txt ===
google-api-python-client 
google-auth-httplib2 
google-auth-oauthlib
PyDrive

=== dotagent/knowledgebase/document_loaders/google_keep/requirements.txt ===
gkeepapi

=== dotagent/knowledgebase/document_loaders/maps/requirements.txt ===
osmxtract
geopy

=== dotagent/knowledgebase/document_loaders/reddit/requirements.txt ===
praw~=7.6
prawcore~=2.3
requests~=2.28
update-checker~=0.18
websocket-client~=1.5

=== dotagent/knowledgebase/document_loaders/weather/requirements.txt ===
pyowm
